﻿@model ArmatureProject.Models.OrderEditModel
@{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>
<div class="right">
    @Html.ActionLink("მეილის გაგზავნა", "Print", new { id = Model.OrderId })
</div>


<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
@using (Html.BeginForm("Edit", "Order", FormMethod.Post, new { enctype = "multipart/form-data", @name = "orderEdit", @id = "orderEdit" }))
{
    <input type="hidden" class="form-control text-box single-line" id="EnterDate" name="OrderHistory" value="@Model.OrderHistory" />
    <hr />
    <div class="container">
        <div class="col-xs-4">
            <dl class="dl-horizontal">
                <dt>
                    @Html.DisplayName("მძღოლი:")
                    <input type="hidden" class="form-control text-box single-line" id="EnterDate" name="OrderId" value="@Model.OrderId" />
                </dt>

                <dd>
                    <select id="Driver" name="DriverIdList" multiple class="selectpicker">
                        @foreach (var item in Model.DriverList)
                        {
                            if (Model.DriverIdList.Contains(item.Id))
                            {
                                <option selected="selected" value="@item.Id">@item.FirstName @item.LastName (@item.PersonalN)</option>
                            }
                            else
                            {
                                <option value="@item.Id">@item.FirstName @item.LastName (@item.PersonalN)</option>
                            }
                        }
                    </select>

                </dd>
            </dl>
        </div>
        <div class="col-xs-4">
            <dl class="dl-horizontal">
                <dt>
                    @Html.DisplayName("კომპანია:")
                </dt>
                <dd>
                    <select id="Company" name="CompanyId" class="form-control">
                        @foreach (var item in Model.CompanyList)
                        {
                            if (item.Id == Model.CompanyId)
                            {
                                <option selected="selected" value="@item.Id">@item.Title</option>
                            }
                            else
                            {
                                <option value="@item.Id">@item.Title</option>
                            }
                        }
                    </select>
                </dd>
                <dt>
                    @Html.DisplayName("ტიპი:")
                </dt>
                <dd>
                    @{
                        string text;
                        if (@Model.CompanyList.FirstOrDefault(x => x.Id == Model.CompanyId).Type == 0)
                        {
                            text = "ფიზიკური პირი";
                        }
                        else
                        {
                            text = "იურიდიული პირი";
                        }

                    }
                    <input type="text" class="form-control text-box single-line" id="Type" name="CompanyType" value="@text" readonly="readonly" placeholder="ფასი" />
                </dd>
                <dt>
                    @Html.DisplayName("ნომერი:")
                </dt>
                <dd>
                    <input type="text" class="form-control text-box single-line" id="Number" name="CompanyNumber" value="@Model.CompanyList.FirstOrDefault(x => x.Id == Model.CompanyId).IdNumber" readonly="readonly" placeholder="ფასი" />
                </dd>
                <dt>
                    @Html.DisplayName("მისამართი:")
                </dt>
                <dd>
                    <select id="companyAddress" name="CompanyAddress" class="form-control">
                        @foreach (var item in Model.CompanyAddressList)
                        {
                            bool x = item.Id == Model.CompanyAddress;
                            <option selected="@x" value="@item.Id">@item.Address</option>
                        }
                    </select>

                     @*<input type="text" class="form-control text-box single-line" id="Address" name="CompanyAddress" value="@Model.CompanyList.FirstOrDefault(x => x.Id == Model.CompanyId).Address" readonly="readonly" placeholder="ფასი" />*@
                </dd>

            </dl>
        </div>
        <div class="col-xs-4">
            <dl class="dl-horizontal">
                <dt>
                    @Html.DisplayName("შექმნის თარიღი:")
                </dt>
                <dd>
                    <input type="date" class="form-control text-box single-line" id="Number" name="orderDate" value="@Model.OrderDate.ToString("yyyy-MM-dd")" placeholder="შექმნის თარიღი" />
                </dd>
            </dl>
        </div>
    </div>
    <div class="col-xs-2">
        <input type="checkbox" checked="@Model.IsPaid" name="IsPaid" value='true' />გადახდილია?
    </div>
    <div class="col-xs-2">
        <input type="checkbox" checked="@Model.IsBuyer" name="IsBuyer" value='true' />მყიდველია?
    </div>
    <div class="col-xs-2">
        <input type="checkbox" checked="@Model.Khamut" name="Khamut" value='true' />ხამუტები
    </div>
    <div class="col-xs-2">
        <input type="checkbox" checked="@Model.Theoretical" name="Theoretical" value='true' />თეორიული
    </div>
    <div class="col-xs-4">
        <input type="text" class="form-control text-box single-line" id="EnterDate" name="Comment" value="@Model.Comment" placeholder="კომენტარი" />
    </div>
    <hr />
    <div>
        <div class="col-lg-12">
            <div class="col-xs-4">
                <H3>არმატურის დიამეტრები</H3>
            </div>
            <div class="col-xs-8" style="text-align: end">
                <Br />
                <label id="armatureCounter">არმატურების რაოდენობის ჯამი - @Model.ArmatureList.Sum(x => x.Amount)</label>
            </div>
        </div>

        <input type="button" value="დამატება" style="margin-bottom:20px" onclick="add_AlbumDiv()" />

    </div>
    <div class="container">
        <div id="armature">
            @for (int i = 0; i < Model.ArmatureList.Count; i++)
            {
                <div id="armatures[@i]" class="col-lg-12 counterArmature">
                    <div class="col-xs-1">
                        <input type="button" class="btn btn-danger btnDeleteEdit" id="btnDeleteEdit" name="@i" value="წაშლა"/>
                    </div>
                    <div class="col-xs-2">
                        <select id="Length" name="ArmatureList[@i].LengthId" class="form-control">
                            @foreach (var item in Model.ArmatureLengthList)
                            {
                                if (item.Id == Model.ArmatureList[i].LengthId)
                                {
                                    <option selected="selected" value="@item.Id">@item.Name</option>
                                }
                                else
                                {
                                    <option value="@item.Id">@item.Name</option>
                                }
                            }

                        </select>
                    </div>
                    <div class="col-xs-2">
                        <input type="text" step=".01" class="form-control text-box single-line armatureAmountCount" id="EnterDate" value="@Model.ArmatureList[i].Amount" name="ArmatureList[@i].Amount" placeholder="რაოდენობა"/>
                    </div>
                    <div class="col-xs-3">
                        <select id="Profile" name="ArmatureList[@i].ProfileId" class="form-control">
                            @foreach (var item in Model.ArmatureProfileList)
                            {
                                if (item.Id == Model.ArmatureList[i].ProfileId)
                                {
                                    <option selected="selected" value="@item.Id">@item.Name</option>
                                }
                                else
                                {
                                    <option value="@item.Id">@item.Name</option>
                                }
                            }
                        </select>
                    </div>
                    <div class="col-xs-2">
                        <input type="text" class="form-control text-box single-line" id="EnterDate" value="@Model.ArmatureList[i].Comment" name="ArmatureList[@i].Comment" placeholder="კომენტარი"/>
                    </div>
                    <div class="col-xs-2">
                        <input type="checkbox" class="armatureGlinulaCount" id="ArmatureGlinula" checked="@Model.ArmatureList[i].Glinula"  value="true" name="ArmatureList[@i].Glinula" />დახვეული
                    </div>
                </div>
            }
        </div>
    </div>

    <div>
        <dl>
            <dt>
                <H3 style="margin-left:30px">ღირებულება</H3>
            </dt>
            <dd>
                <input type="button" value="დამატება" onclick="add_AlbumDiv1()" />
            </dd>
        </dl>
    </div>
    <div class="container">
        <div id="orderDetailDiv">
            @for (int i = 0; i < Model.OrderDetailList.Count; i++)
            {

                <div class="col-lg-12 orderDetailCount" style="margin-bottom: 15px">
                    <div class="col-xs-4">
                        <select id="Length" name="OrderDetailList[@i].LengthId" class="form-control">
                            @foreach (var item in Model.ArmatureLengthList)
                            {
                                if (item.Id == Model.OrderDetailList[i].LengthId)
                                {
                                    <option selected="selected" value="@item.Id">@item.Name</option>
                                }
                                else
                                {
                                    <option value="@item.Id">@item.Name</option>
                                }
                            }

                        </select>
                    </div>

                    <div class="col-xs-4">
                        <input type="text" class="form-control text-box single-line" id="EnterDate" value="@Model.OrderDetailList[i].Price" name="OrderDetailList[@i].Price" placeholder="ფასი" />
                    </div>
                    <div class="col-xs-4">
                        <input type="text" class="form-control text-box single-line" id="EnterDate" value="@Model.OrderDetailList[i].Comment" name="OrderDetailList[@i].Comment" placeholder="კომენტარი" />
                    </div>
                </div>

            }
        </div>
    </div>
    <br />
    <br />
    <p>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Edit" class="btn btn-default" />
            </div>
        </div>
        @Html.ActionLink("Back to List", "Index")|
        @Html.ActionLink("Order History", "OrderHistory", new { id = Model.OrderId }) 
    </p>

                        }


<script>

    function add_AlbumDiv1() {
        var divCount = $(".orderDetailCount").length;

        $('#orderDetailDiv').append(

            '<div class="col-lg-12 orderDetailCount" style="margin-bottom: 15px">' +
            '<div class="col-xs-4">' +
            '<select id="Length" name="OrderDetailList[' + divCount + '].LengthId" class="form-control">' +
            '<option value="1">12 მეტრი (სტანდარტული, ძირითადი სიგრძე)</option>' +
            '<option value="2">3-დან 11 მეტრამდე (არასტანდარტული)</option>' +
            '<option value="3">1.5-დან 3 მეტრამდე (არასტანდარტული)</option>' +
            '</select>' +
            '</div>' +
            '<div class="col-xs-4">' +
            '<input type="text" class="form-control text-box single-line" id="EnterDate" name="OrderDetailList[' + divCount + '].Price" placeholder="ფასი" />' +
            '</div>' +
            '<div class="col-xs-4">' +
            '<input type="text" class="form-control text-box single-line" id="EnterDate" name="OrderDetailList[' + divCount + '].Comment" placeholder="კომენტარი" />' +
            '</div>' +
            '</div>'
        );

    }
    function add_AlbumDiv() {
        var divCount = $(".counterArmature").length;

        $('#armature').append(
          
            '<div id="armatures[' + divCount + ']" class="col-lg-12 counterArmature">' +
            '<div class="col-xs-1">' +
            '<input type="button" class="btn btn-danger btnDeleteEdit" id="btnDeleteEdit" name="' + divCount +'" value="წაშლა"/>'+
            '</div>'+
            '<div class="col-xs-2">'+
            '<select id="Profile" name="ArmatureList[' + divCount + '].ProfileId" class="form-control">' +
            '<option value="1">6,5 გლინულა</option>' +
            '<option value="2">8 მმ გლინულა</option>' +
            '<option value="10">8 მმ</option>' +
            '<option value="3">10 მმ</option>' +
            '<option value="4">12 მმ</option>' +
            '<option value="5">14 მმ</option>' +
            '<option value="11">16 მმ</option>' +
            '<option value="12">18 მმ</option>' +
            '<option value="13">20 მმ</option>' +
            '<option value="6">22 მმ</option>' +
            '<option value="7">25 მმ</option>' +
            '<option value="8">28 მმ</option>' +
            '<option value="9">32 მმ</option>' +
            '</select>' +
            '</div>' +
            '<div class="col-xs-2">' +
            '<input type="text" step=".01" class="form-control text-box single-line armatureAmountCount" id="EnterDate" name="ArmatureList[' + divCount + '].Amount placeholder="რაოდენობა" />' +
            '</div>' +
            '<div class="col-xs-3">' +
            '<select id="Length" name="ArmatureList[' + divCount + '].LengthId" class="form-control">' +
            '<option value="1">12 მეტრი (სტანდარტული, ძირითადი სიგრძე)</option>' +
            '<option value="2">3-დან 11 მეტრამდე (არასტანდარტული)</option>' +
            '<option value="3">1.5-დან 3 მეტრამდე (არასტანდარტული)</option>' +
            '</select>' +
            '</div>' +
            '<div class="col-xs-2">' +
            '<input type="text" class="form-control text-box single-line" id="EnterDate" name="ArmatureList[' + divCount + '].Comment" placeholder="კომენტარი" />' +
            '</div>' +
            '<div class="col-xs-2">'+
            '<input type="checkbox" class="armatureGlinulaCount" id="ArmatureGlinula"  value="true" name="ArmatureList[' + divCount + '].Glinula" />დახვეული ' +
            '</div>' +
            '</div>'
        );
        DeleteRowInArmature();
        AddInputListener();
    }
</script>